VST 3 Examples VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
BrownNoise< SamplePrecision > Class Template Reference

`#include <brownnoise.h>`

## Public Member Functions
| BrownNoise (int32 bufferSize, SamplePrecision sampleRate)
| ~BrownNoise ()
SamplePrecision | at (int32 pos) const
int32 | getSize () const

## Protected Attributes
SamplePrecision * | buffer
int32 | bufferSize

## Constructor & Destructor Documentation

## ◆ BrownNoise()

template<class SamplePrecision>

BrownNoise | ( | int32 | bufferSize,
|  | SamplePrecision | sampleRate )

## ◆ ~BrownNoise()

template<class SamplePrecision>

~BrownNoise | ( |  | ) |

## Member Function Documentation

## ◆ at()

template<class SamplePrecision>

SamplePrecision at | ( | int32 | pos | ) | const
| inline

## ◆ getSize()

template<class SamplePrecision>

int32 getSize | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ buffer

template<class SamplePrecision>

SamplePrecision* buffer
| protected

## ◆ bufferSize

template<class SamplePrecision>

int32 bufferSize
| protected

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.